Results 1 to 3 of 3

Thread: Fehler: zypper --auto-agree-with-licenses

  1. #1
    Join Date
    Feb 2011
    Location
    Ulm
    Posts
    7

    Default Fehler: zypper --auto-agree-with-licenses

    zypper --auto-agree-with-licenses geht nicht.
    Wann wird der Fehler behoben

  2. #2
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Default Re: Fehler: zypper --auto-agree-with-licenses

    Quote Originally Posted by haglo View Post
    zypper --auto-agree-with-licenses geht nicht.
    Wann wird der Fehler behoben
    Hm. Eigentlich war das Subforum hier eher dazu gedacht Kritik (oder gar Lob) am Forum und den darin herumlaufenden Leuten loszuwerden.

    Zur Frage: Wohl eher was fr einen Bugreport auf Novell's bugzilla (inclusive der benutzen Version von zypper, was Du gemacht hast (das ganze Kommando, nicht nur den ersten und letzen Teil), was geschehen sollte und was tatschlich geschah ).

    Wenn ich
    Code:
    man zypper
    richtig verstehe.
    Quote Originally Posted by man zypper(8)
    zypper [--global-opts] <command> [--command-opts] [command-arguments]
    [...]
    COMMANDS
    [...]
    dist-upgrade (dup) [options]
    Perform a distribution upgrade. This command applies the state
    of (specified) repositories onto the system; upgrades (or even
    downgrades) installed packages to versions found in reposito-
    ries, removes packages that are no longer in the repositories
    and pose a dependency problem for the upgrade, handles package
    splits and renames, etc.

    If no repositories are specified via --from or --repo options,
    zypper will do the upgrade with all defined repositories. This
    can be a problem if the system contains conflicting reposito-
    ries, like repositories for two different distribution releases.
    This often happens if one forgets to remove older release repos-
    itory after adding a new one, say openSUSE 11.1 and openSUSE
    11.2.

    To avoid the above trouble, you can specify the repositories
    from which to do the upgrade using the --from or --repo options.
    The difference between these two is that when --repo is used,
    zypper acts as if it knew only the specified repositories, while
    with --from zypper can eventually use also the rest of enabled
    repositories to satisfy package dependencies.

    [...]
    -l, --auto-agree-with-licenses
    Automatically say 'yes' to third party license confirmation
    prompt. By using this option, you choose to agree with licenses
    of all third-party software this command will install. This
    option is particularly useful for administators installing the
    same set of packages on multiple machines (by an automated pro-
    cess) and have the licenses confirmed before.
    , msste ein einigermaen vollstndiges Kommando
    Folgendes enthalten:
    <command>=dist-upgrade=dup
    [--command-opts]=--auto-agree-with-licenses=-l
    und daher etwa so lauten:

    Code:
    zypper dist-upgrade --auto-agree-with-licenses
    oder kurz
    Code:
    zypper dup -l
    Aber - ehrlich gesagt - habe ich das meines Wissens noch nie ausprobiert (wieso auch - wenn ich schon irgendeinem Mll zustimmen soll, will ich ihn zumindest vorher sehen [knnen]). Vielleicht wei irgendein Kommandozeilenheld da mehr?

    Falls Du Sprachprobleme beim Fehlerreport auf Bugzilla haben solltest, melde Dich bitte nochmal.

    LG
    pistazienfresser

  3. #3
    Join Date
    Jan 2010
    Location
    Ostwestfalen (Germany)
    Posts
    384

    Default AW: Re: Fehler: zypper --auto-agree-with-licenses

    Quote Originally Posted by pistazienfresser View Post
    Wenn ich
    Code:
    man zypper
    richtig verstehe.
    Tust du.

    Quote Originally Posted by pistazienfresser View Post
    und daher etwa so lauten:

    Code:
    zypper dist-upgrade --auto-agree-with-licenses
    oder kurz
    Code:
    zypper dup -l
    So ist es.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •